Skip to content

Retrieve an existing User

GEThttps://api.neuroscale.io/v2.0/users/{user-id}

Path parameters

Name Type Description
user-id String Unique identifier of the User or self.

The User resource has the following attributes:

Name Type Description
created_at Timestamp Date and time of creation as a Unix timestamp.
email String Email address.
id String Unique identifier of the User.
last_login Timestamp Date and time of last login as a Unix timestamp.
object String Resource type (value is "user").
profile Object / Hash Object of key-value pairs containing information about the User (if available).
updated_at Timestamp Date and time of last modification as a Unix timestamp.
username String Username.

Authentication

Type: Access token
Required scopes: user or read:user

Responses

Example response — 200

{
    "created_at": 1421870702,
    "email": "aladdin@caveofwonders.com",
    "id": "usr_ZTNc2sEjoq6JoEgPNFUg6g",
    "last_login": 1445463613,
    "object": "user",
    "profile": {
        "date_of_birth": "1992-11-25",
        "gender": "male",
        "location": "Agrabah",
        "name": "Aladdin"
    },
    "updated_at": 1421870702,
    "username": "Aladdin"
}